Create property definition
curl --request POST \
--url https://api.bizzyco.ai/v1/property-definitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"label": "<string>",
"objectTypes": [],
"description": "<string>",
"options": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
label: '<string>',
objectTypes: [],
description: '<string>',
options: ['<string>']
})
};
fetch('https://api.bizzyco.ai/v1/property-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/property-definitions"
payload = {
"key": "<string>",
"label": "<string>",
"objectTypes": [],
"description": "<string>",
"options": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/property-definitions"
payload := strings.NewReader("{\n \"key\": \"<string>\",\n \"label\": \"<string>\",\n \"objectTypes\": [],\n \"description\": \"<string>\",\n \"options\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "lead_source",
"label": "<string>",
"description": "<string>",
"valueType": "text",
"options": [
"<string>"
],
"objectTypes": [
"contact"
],
"createdByKind": "user",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Properties
Create property definition
Create a property definition. Keys are lowercase letters, digits, and underscores, start with a letter, and are unique among the organization’s live definitions; a duplicate returns 409 with code PROPERTY_KEY_TAKEN. options is required for select and multi_select properties and not allowed for any other type.
POST
/
v1
/
property-definitions
Create property definition
curl --request POST \
--url https://api.bizzyco.ai/v1/property-definitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"label": "<string>",
"objectTypes": [],
"description": "<string>",
"options": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
label: '<string>',
objectTypes: [],
description: '<string>',
options: ['<string>']
})
};
fetch('https://api.bizzyco.ai/v1/property-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/property-definitions"
payload = {
"key": "<string>",
"label": "<string>",
"objectTypes": [],
"description": "<string>",
"options": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/property-definitions"
payload := strings.NewReader("{\n \"key\": \"<string>\",\n \"label\": \"<string>\",\n \"objectTypes\": [],\n \"description\": \"<string>\",\n \"options\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "lead_source",
"label": "<string>",
"description": "<string>",
"valueType": "text",
"options": [
"<string>"
],
"objectTypes": [
"contact"
],
"createdByKind": "user",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
API key authentication via Bearer token
Headers
Key that makes this request safe to retry. Reuse the same value when retrying a request that may already have succeeded — the original response is replayed with an Idempotency-Replay: true header. Use a new value for a new operation.
Required string length:
1 - 255Example:
"9f8c2b1a-4d3e-4a6b-8c1d-2e3f4a5b6c7d"
Body
application/json
Pattern:
^[a-z][a-z0-9_]{0,62}$Minimum string length:
1Available options:
text, number, boolean, date, url, select, multi_select Minimum array length:
1Available options:
contact, customer, business Minimum array length:
1Minimum string length:
1Last modified on October 6, 2026